Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.macromedia.generator.utils
Class GenInfo

    java.lang.Object
      |
      +--com.macromedia.generator.utils.GenInfo

public class GenInfo
extends java.lang.Object

Constructor Summary
`GenInfo()`

Method Summary
`FlashEnvironment` | `getEnvironment()`
`java.util.Hashtable` | `getGenParams()`
`javax.servlet.http.HttpServletRequest` | `getRequestBuffer()`
`javax.servlet.http.HttpServletResponse` | `getResponseBuffer()`
`javax.servlet.ServletContext` | `getServletContext()`
`java.util.Hashtable` | `getUrlArgs()`
`void` | `setEnvironment(FlashEnvironment flashenvironment)`
`void` | `setGenParams(java.util.Hashtable hashtable)`
`void` | `setRequestBuffer(javax.servlet.http.HttpServletRequest httpservletrequest)`
`void` | `setResponseBuffer(javax.servlet.http.HttpServletResponse httpservletresponse)`
`void` | `setServletContext(javax.servlet.ServletContext servletcontext)`
`void` | `setUrlArgs(java.util.Hashtable hashtable)`

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GenInfo

    public GenInfo()

Method Detail

### getEnvironment

    public FlashEnvironment getEnvironment()

### getGenParams

    public java.util.Hashtable getGenParams()

### getRequestBuffer

    public javax.servlet.http.HttpServletRequest getRequestBuffer()

### getResponseBuffer

    public javax.servlet.http.HttpServletResponse getResponseBuffer()

### getServletContext

    public javax.servlet.ServletContext getServletContext()

### getUrlArgs

    public java.util.Hashtable getUrlArgs()

### setEnvironment

    public void setEnvironment(FlashEnvironment flashenvironment)

### setGenParams

    public void setGenParams(java.util.Hashtable hashtable)

### setRequestBuffer

    public void setRequestBuffer(javax.servlet.http.HttpServletRequest httpservletrequest)

### setResponseBuffer

    public void setResponseBuffer(javax.servlet.http.HttpServletResponse httpservletresponse)

### setServletContext

    public void setServletContext(javax.servlet.ServletContext servletcontext)

### setUrlArgs

    public void setUrlArgs(java.util.Hashtable hashtable)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD